### Function

# PangoFc DecoderFindFunc

#### Declaration

    PangoFcDecoder*
    (* PangoFcDecoderFindFunc) (
      FcPattern* pattern,
      gpointer user_data
    )

#### Description [src]

Callback function passed to `pango_fc_font_map_add_decoder_find_func()`.

This function is not directly available to language bindings.

#### Parameters

`pattern`

  Type: `FcPattern`

  A fully resolved `FcPattern` specifying the font on the system.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to `pango_fc_font_map_add_decoder_find_func()`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PangoFcDecoder`

A new reference to a custom decoder for this pattern, or `NULL` if the default decoder handling should be used.

The data is owned by the called function.